NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::BurringInsertBuilder Class Reference

Progressive Die Wizard builder to design burring punch and die insert
To create a new instance of this class, use NXOpen::Tooling::BurringInsertCollection::CreateBurringInsertBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::BurringInsertBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BurringDirections { BurringDirectionsBurringUpwards, BurringDirectionsBurringDownwards }
 Specifies the burring direction. More...
 
enum  BurringPunchTypes { BurringPunchTypesFirst, BurringPunchTypesSecond, BurringPunchTypesThird }
 Specifies the burring punch type. More...
 
enum  CircularOrNonCircularType { CircularOrNonCircularTypeCircular, CircularOrNonCircularTypeNonCircular }
 Specifies the circular or non-circular type. More...
 
enum  DesignOptions { DesignOptionsBurringPunch, DesignOptionsBurringDie }
 Specifies the design type. More...
 
enum  ParentTypes { ParentTypesControl, ParentTypesDieBase, ParentTypesSubDie, ParentTypesDie }
 Specifies the parent part type. More...
 

Public Member Functions

NXOpen::ExpressionArcRadius ()
 Returns the arc radius value. More...
 
NXOpen::SectionBlankProfile ()
 Returns the blank profile to extrude the punch or die. More...
 
NXOpen::Tooling::BurringInsertBuilder::BurringDirections BurringDirection ()
 Returns the burring direction downwards or upwards. More...
 
NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes BurringPunchType ()
 Returns the burring punch type to create. More...
 
NXOpen::Tooling::BurringInsertBuilder::CircularOrNonCircularType CircularOrNonCircular ()
 Returns the circular or non circular type. More...
 
NXOpen::TaggedObjectCreateNewComponent (NXOpen::TaggedObject *parentTag, const NXOpen::Point3d &origin)
 Create new component. More...
 
void DeletePunchOrDieComponent ()
 The action to delete the selected punch or die component
Created in NX8.0.0. More...
 
NXOpen::Tooling::BurringInsertBuilder::DesignOptions DesignOption ()
 Returns the design option to design punch or die. More...
 
NXOpen::ExpressionEndValue ()
 Returns the end height value of blank. More...
 
NXOpen::Tooling::BurringInsertBuilder::ParentTypes ParentPart ()
 Returns the parent part to create blank. More...
 
NXString ParentPartName ()
 Returns the parent part name to create blank. More...
 
double PlateClearanceFirst ()
 Returns the value of plate clearance first. More...
 
double PlateClearanceSecond ()
 Returns the value of plate clearance second. More...
 
double PlateClearanceThird ()
 Returns the value of plate clearance third. More...
 
NXOpen::ExpressionPunchHeadHeight ()
 Returns the punch head height value of blank. More...
 
NXOpen::SelectBodyPunchOrDieToEdit ()
 Returns the punch or die to edit
Created in NX8.0.0. More...
 
bool RenameComponent ()
 Returns the option whether rename component. More...
 
void RevolveSketchedCurve ()
 Extract burring region. More...
 
NXOpen::ScCollectorSelectFaces ()
 Returns the burring face of burring region. More...
 
void SetBurringDirection (NXOpen::Tooling::BurringInsertBuilder::BurringDirections burringDirection)
 Sets the burring direction downwards or upwards. More...
 
void SetBurringPunchType (NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes burringPunchType)
 Sets the burring punch type to create. More...
 
void SetCircularOrNonCircular (NXOpen::Tooling::BurringInsertBuilder::CircularOrNonCircularType circularOrNonCircular)
 Sets the circular or non circular type. More...
 
void SetDesignOption (NXOpen::Tooling::BurringInsertBuilder::DesignOptions designOption)
 Sets the design option to design punch or die. More...
 
void SetParentPart (NXOpen::Tooling::BurringInsertBuilder::ParentTypes parentPart)
 Sets the parent part to create blank. More...
 
void SetParentPartName (const NXString &parentPart)
 Sets the parent part name to create blank. More...
 
void SetParentPartName (const char *parentPart)
 Sets the parent part name to create blank. More...
 
void SetPlateClearanceFirst (double plateClearanceFirst)
 Sets the value of plate clearance first. More...
 
void SetPlateClearanceSecond (double plateClearanceSecond)
 Sets the value of plate clearance second. More...
 
void SetPlateClearanceThird (double plateClearanceThird)
 Sets the value of plate clearance third. More...
 
void SetRenameComponent (bool renameComponent)
 Sets the option whether rename component. More...
 
void SetUsePlateClearanceFirst (bool usePlateClearanceFirst)
 Sets the option to use plate clearance first. More...
 
void SetUsePlateClearanceSecond (bool usePlateClearanceSecond)
 Sets the option to use plate clearance second. More...
 
void SetUsePlateClearanceThird (bool usePlateClearanceThird)
 Sets the option to use plate clearance third. More...
 
NXOpen::ExpressionStartValue ()
 Returns the start height value of blank. More...
 
bool UsePlateClearanceFirst ()
 Returns the option to use plate clearance first. More...
 
bool UsePlateClearanceSecond ()
 Returns the option to use plate clearance second. More...
 
bool UsePlateClearanceThird ()
 Returns the option to use plate clearance third. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Progressive Die Wizard builder to design burring punch and die insert
To create a new instance of this class, use NXOpen::Tooling::BurringInsertCollection::CreateBurringInsertBuilder
Default values.

Property Value

ArcRadius.Value

0 (millimeters part), 0 (inches part)

BurringDirection

BurringDownwards

CircularOrNonCircular

Circular

DesignOption

BurringPunch

EndValue.Value

0 (millimeters part), 0 (inches part)

ParentPart

DieBase

PlateClearanceFirst

0

PlateClearanceSecond

0

PlateClearanceThird

0

PunchHeadHeight.Value

0 (millimeters part), 0 (inches part)

StartValue.Value

0 (millimeters part), 0 (inches part)

UsePlateClearanceFirst

0

UsePlateClearanceSecond

0

UsePlateClearanceThird

0


Created in NX8.0.0.

Member Enumeration Documentation

Specifies the burring direction.

Enumerator
BurringDirectionsBurringUpwards 

design the burring upwards

BurringDirectionsBurringDownwards 

design the burring downwards

Specifies the burring punch type.

Enumerator
BurringPunchTypesFirst 

use first type

BurringPunchTypesSecond 

use second type

BurringPunchTypesThird 

use third type

Specifies the circular or non-circular type.

Enumerator
CircularOrNonCircularTypeCircular 

circular

CircularOrNonCircularTypeNonCircular 

non circular

Specifies the design type.

Enumerator
DesignOptionsBurringPunch 

design the burring punch

DesignOptionsBurringDie 

design the burring die

Specifies the parent part type.

Enumerator
ParentTypesControl 

use PDW project's control part as parent part

ParentTypesDieBase 

use PDW project's die base part as parent part

ParentTypesSubDie 

use PDW project's sub-die base as parent part

ParentTypesDie 

use PDW project's die part as parent part

Member Function Documentation

NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::ArcRadius ( )

Returns the arc radius value.


Created in NX8.0.0.

License requirements : None

NXOpen::Section* NXOpen::Tooling::BurringInsertBuilder::BlankProfile ( )

Returns the blank profile to extrude the punch or die.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BurringInsertBuilder::BurringDirections NXOpen::Tooling::BurringInsertBuilder::BurringDirection ( )

Returns the burring direction downwards or upwards.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes NXOpen::Tooling::BurringInsertBuilder::BurringPunchType ( )

Returns the burring punch type to create.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BurringInsertBuilder::CircularOrNonCircularType NXOpen::Tooling::BurringInsertBuilder::CircularOrNonCircular ( )

Returns the circular or non circular type.


Created in NX10.0.0.

License requirements : None

NXOpen::TaggedObject* NXOpen::Tooling::BurringInsertBuilder::CreateNewComponent ( NXOpen::TaggedObject parentTag,
const NXOpen::Point3d origin 
)

Create new component.

Returns
the new part instance
Created in NX8.0.0.

License requirements : None
Parameters
parentTagthe parent part
originthe origin point to add
void NXOpen::Tooling::BurringInsertBuilder::DeletePunchOrDieComponent ( )

The action to delete the selected punch or die component
Created in NX8.0.0.



License requirements : None

NXOpen::Tooling::BurringInsertBuilder::DesignOptions NXOpen::Tooling::BurringInsertBuilder::DesignOption ( )

Returns the design option to design punch or die.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::EndValue ( )

Returns the end height value of blank.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BurringInsertBuilder::ParentTypes NXOpen::Tooling::BurringInsertBuilder::ParentPart ( )

Returns the parent part to create blank.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::BurringInsertBuilder::ParentPartName ( )

Returns the parent part name to create blank.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::BurringInsertBuilder::PlateClearanceFirst ( )

Returns the value of plate clearance first.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::BurringInsertBuilder::PlateClearanceSecond ( )

Returns the value of plate clearance second.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::BurringInsertBuilder::PlateClearanceThird ( )

Returns the value of plate clearance third.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::PunchHeadHeight ( )

Returns the punch head height value of blank.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::BurringInsertBuilder::PunchOrDieToEdit ( )

Returns the punch or die to edit
Created in NX8.0.0.



License requirements : None

bool NXOpen::Tooling::BurringInsertBuilder::RenameComponent ( )

Returns the option whether rename component.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::BurringInsertBuilder::RevolveSketchedCurve ( )

Extract burring region.


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::BurringInsertBuilder::SelectFaces ( )

Returns the burring face of burring region.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::BurringInsertBuilder::SetBurringDirection ( NXOpen::Tooling::BurringInsertBuilder::BurringDirections  burringDirection)

Sets the burring direction downwards or upwards.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
burringDirectionburringdirection
void NXOpen::Tooling::BurringInsertBuilder::SetBurringPunchType ( NXOpen::Tooling::BurringInsertBuilder::BurringPunchTypes  burringPunchType)

Sets the burring punch type to create.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
burringPunchTypeburringpunchtype
void NXOpen::Tooling::BurringInsertBuilder::SetCircularOrNonCircular ( NXOpen::Tooling::BurringInsertBuilder::CircularOrNonCircularType  circularOrNonCircular)

Sets the circular or non circular type.


Created in NX10.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
circularOrNonCircularcircularornoncircular
void NXOpen::Tooling::BurringInsertBuilder::SetDesignOption ( NXOpen::Tooling::BurringInsertBuilder::DesignOptions  designOption)

Sets the design option to design punch or die.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
designOptiondesignoption
void NXOpen::Tooling::BurringInsertBuilder::SetParentPart ( NXOpen::Tooling::BurringInsertBuilder::ParentTypes  parentPart)

Sets the parent part to create blank.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartparentpart
void NXOpen::Tooling::BurringInsertBuilder::SetParentPartName ( const NXString parentPart)

Sets the parent part name to create blank.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartSpecifies the parent part name
void NXOpen::Tooling::BurringInsertBuilder::SetParentPartName ( const char *  parentPart)

Sets the parent part name to create blank.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartSpecifies the parent part name
void NXOpen::Tooling::BurringInsertBuilder::SetPlateClearanceFirst ( double  plateClearanceFirst)

Sets the value of plate clearance first.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceFirstplateclearancefirst
void NXOpen::Tooling::BurringInsertBuilder::SetPlateClearanceSecond ( double  plateClearanceSecond)

Sets the value of plate clearance second.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceSecondplateclearancesecond
void NXOpen::Tooling::BurringInsertBuilder::SetPlateClearanceThird ( double  plateClearanceThird)

Sets the value of plate clearance third.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceThirdplateclearancethird
void NXOpen::Tooling::BurringInsertBuilder::SetRenameComponent ( bool  renameComponent)

Sets the option whether rename component.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
renameComponentrenamecomponent
void NXOpen::Tooling::BurringInsertBuilder::SetUsePlateClearanceFirst ( bool  usePlateClearanceFirst)

Sets the option to use plate clearance first.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceFirstuseplateclearancefirst
void NXOpen::Tooling::BurringInsertBuilder::SetUsePlateClearanceSecond ( bool  usePlateClearanceSecond)

Sets the option to use plate clearance second.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceSeconduseplateclearancesecond
void NXOpen::Tooling::BurringInsertBuilder::SetUsePlateClearanceThird ( bool  usePlateClearanceThird)

Sets the option to use plate clearance third.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceThirduseplateclearancethird
NXOpen::Expression* NXOpen::Tooling::BurringInsertBuilder::StartValue ( )

Returns the start height value of blank.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BurringInsertBuilder::UsePlateClearanceFirst ( )

Returns the option to use plate clearance first.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BurringInsertBuilder::UsePlateClearanceSecond ( )

Returns the option to use plate clearance second.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BurringInsertBuilder::UsePlateClearanceThird ( )

Returns the option to use plate clearance third.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.